Bug 232127 - UPDATE: shells/oksh 20180401 => 20181009
Summary: UPDATE: shells/oksh 20180401 => 20181009
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-09 21:07 UTC by Brian Callahan
Modified: 2018-10-11 15:30 UTC (History)
1 user (show)

See Also:
tobik: merge-quarterly?


Attachments
oksh-20181009 update diff (1.45 KB, patch)
2018-10-09 21:07 UTC, Brian Callahan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Callahan 2018-10-09 21:07:32 UTC
Created attachment 197975 [details]
oksh-20181009 update diff

Hi --

Included patch updates to oksh-20181009. This version of oksh matches ksh(1) from OpenBSD 6.4.

Thanks!
Comment 1 Tobias Kortkamp freebsd_committer 2018-10-10 03:03:23 UTC
Steve, can you please also merge it to 2018Q4?
Comment 2 Steve Wills freebsd_committer 2018-10-11 02:31:59 UTC
(In reply to Tobias Kortkamp from comment #1)
Possibly, what's the reason? It doesn't seem to fit the normal merge criteria:

https://wiki.freebsd.org/Ports/QuarterlyBranch
Comment 3 commit-hook freebsd_committer 2018-10-11 02:34:13 UTC
A commit references this bug:

Author: swills
Date: Thu Oct 11 02:33:21 UTC 2018
New revision: 481781
URL: https://svnweb.freebsd.org/changeset/ports/481781

Log:
  shells/oksh: update to 20181009

  While here, add static and curses options

  PR:		232127
  Submitted by:	Brian Callahan <bcallah@openbsd.org> (maintainer)

Changes:
  head/shells/oksh/Makefile
  head/shells/oksh/distinfo
Comment 4 Tobias Kortkamp freebsd_committer 2018-10-11 04:56:28 UTC
(In reply to Steve Wills from comment #2)
> Possibly, what's the reason? It doesn't seem to fit the normal merge criteria:

Bug fixes [1,2] are one of the merge criteria from that list.
Besides we are only 10 days into 2018Q4 and merging it now should
not cause any trouble.

It's also for convenience.  The new clear-screen editing command
is something that I'd like to use now rather than wait 3 months for
the OpenBSD 6.4 and FreeBSD gap to close.

[1] https://github.com/openbsd/src/commits/master/bin/ksh
[2] https://github.com/ibara/oksh/compare/bb1108a6464f947d991340bf2ae0598438bb13cd...20181009
Comment 5 commit-hook freebsd_committer 2018-10-11 15:27:16 UTC
A commit references this bug:

Author: swills
Date: Thu Oct 11 15:26:34 UTC 2018
New revision: 481835
URL: https://svnweb.freebsd.org/changeset/ports/481835

Log:
  MFH: r481781

  shells/oksh: update to 20181009

  While here, add static and curses options

  PR:		232127
  Submitted by:	Brian Callahan <bcallah@openbsd.org> (maintainer)
  Approved by:	ports-secteam (implicit) (MFH due to bug fixes)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/shells/oksh/Makefile
  branches/2018Q4/shells/oksh/distinfo
Comment 6 Steve Wills freebsd_committer 2018-10-11 15:30:31 UTC
Committed, thanks!